/* Tabela ITEMPRODUTO: Item de Produto de NF(Nota Fiscal) */
/* Descrio: A trigger insere registros na tabela LOGOPERA a partir de alteraes na tabela ITEMPRODUTO */
/* Objetivo: Gerar um log que vai registrar as alteraes na tabela Item de Produto de NF(Nota Fiscal),
             utilizando a tabela Geral de Logs de Operaes */


IF EXISTS(SELECT *
          FROM SYSOBJECTS O, SYSUSERS U
          WHERE O.NAME = 'LOG_FIS_ITEMPRODUTO' AND
                TYPE   = 'TR'              AND
                U.UID  = O.UID             AND
                U.NAME = USER)

DROP TRIGGER LOG_FIS_ITEMPRODUTO
GO


CREATE TRIGGER LOG_FIS_ITEMPRODUTO
ON ITEMPRODUTO
FOR UPDATE,INSERT, DELETE
AS
BEGIN
  DECLARE @V_USUARIO             VARCHAR(40);
  DECLARE @V_TIPO                VARCHAR(1);
  DECLARE @V_TPMOVI              VARCHAR(1);
  DECLARE @V_ITPESQ              VARCHAR(40);
  DECLARE @V_DESC                VARCHAR(300);
  DECLARE @V_CDFILLOGOPER        VARCHAR(4);
  DECLARE @V_DTOPER              DATETIME;

  DECLARE @V_CDPRODUTO_OLD       VARCHAR(10);
  DECLARE @V_CDPRODEMIS_OLD      VARCHAR(10);
  DECLARE @V_QTITEMPROD_OLD      NUMERIC(15,5);
  DECLARE @V_VRUNITITEM_OLD      NUMERIC(15,5);
  DECLARE @V_VRTOTAITEM_OLD      NUMERIC(15,5);
  DECLARE @V_VRCONTITEM_OLD      NUMERIC(15,5);
  DECLARE @V_CDFISOPEITEM_OLD    VARCHAR(10);
  DECLARE @V_CDSUFXCFOPPR_OLD    VARCHAR(10);
  DECLARE @V_CDSITUTRIBPR_OLD    VARCHAR(10);
  DECLARE @V_IDERROSITEM_OLD     VARCHAR(1);
  DECLARE @V_IDAVISOSITEM_OLD    VARCHAR(1);
  DECLARE @V_VRBRUTITEM_OLD      NUMERIC(15,5);
  DECLARE @V_CDFILIALPED_OLD     VARCHAR(4);
  DECLARE @V_NRPEDIDO_OLD        VARCHAR(10);
  DECLARE @V_NRITEMPED_OLD       VARCHAR(10);
  DECLARE @V_CDFILIMOVI_OLD      VARCHAR(4);
  DECLARE @V_CDALMOXARIFE_OLD    VARCHAR(6);
  DECLARE @V_CDLOCALESTOQ_OLD    VARCHAR(6);
  DECLARE @V_NRLOTEESTQ_OLD      VARCHAR(10);
  DECLARE @V_NRSUBLOTE_OLD       VARCHAR(10);
  DECLARE @V_CDFILIALVEND_OLD    VARCHAR(4);
  DECLARE @V_CDCAIXA_OLD         VARCHAR(10);
  DECLARE @V_NRSEQVENDA_OLD      VARCHAR(10);
  DECLARE @V_NRSEQUITVEND_OLD    VARCHAR(10);

  DECLARE @V_CDPRODUTO_NEW          VARCHAR(10);
  DECLARE @V_CDPRODEMIS_NEW         VARCHAR(10);
  DECLARE @V_QTITEMPROD_NEW         NUMERIC(15,5);
  DECLARE @V_VRUNITITEM_NEW         NUMERIC(15,5);
  DECLARE @V_VRTOTAITEM_NEW         NUMERIC(15,5);
  DECLARE @V_VRCONTITEM_NEW         NUMERIC(15,5);
  DECLARE @V_CDFISOPEITEM_NEW       VARCHAR(10);
  DECLARE @V_CDSUFXCFOPPR_NEW       VARCHAR(10);
  DECLARE @V_CDSITUTRIBPR_NEW       VARCHAR(10);
  DECLARE @V_IDERROSITEM_NEW        VARCHAR(1);
  DECLARE @V_IDAVISOSITEM_NEW       VARCHAR(1);
  DECLARE @V_VRBRUTITEM_NEW         NUMERIC(15,5);
  DECLARE @V_CDFILIALPED_NEW        VARCHAR(4);
  DECLARE @V_NRPEDIDO_NEW           VARCHAR(10);
  DECLARE @V_NRITEMPED_NEW          VARCHAR(10);
  DECLARE @V_CDFILIMOVI_NEW         VARCHAR(4);
  DECLARE @V_CDALMOXARIFE_NEW       VARCHAR(6);
  DECLARE @V_CDLOCALESTOQ_NEW       VARCHAR(6);
  DECLARE @V_NRLOTEESTQ_NEW         VARCHAR(10);
  DECLARE @V_NRSUBLOTE_NEW          VARCHAR(10);
  DECLARE @V_CDFILIALVEND_NEW       VARCHAR(4);
  DECLARE @V_CDCAIXA_NEW            VARCHAR(10);
  DECLARE @V_NRSEQVENDA_NEW         VARCHAR(10);
  DECLARE @V_NRSEQUITVEND_NEW       VARCHAR(10);

  DECLARE @V_CDFILIAL_OLD           VARCHAR(4);
  DECLARE @V_CDFILIAL_NEW           VARCHAR(4);
  DECLARE @V_NRLANCTONF_OLD         VARCHAR(10);
  DECLARE @V_NRLANCTONF_NEW         VARCHAR(10);
  DECLARE @V_NRSEQITPROD_OLD        VARCHAR(10);
  DECLARE @V_NRSEQITPROD_NEW        VARCHAR(10);


   SET @V_TPMOVI = '0';
   SET @V_DESC = '';
   SET @V_CDFILLOGOPER = '';

   DECLARE C_CURSOR_ITEM CURSOR FOR
      SELECT
         'D' IDCOMANDO,
         NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         CDFILIAL,
         NRLANCTONF,
         NRSEQITPROD,
         CDPRODUTO,
         CDPRODEMIS,
         QTITEMPROD,
         VRUNITITEM,
         VRTOTAITEM,
         VRCONTITEM,
         CDFISOPEITEM,
         CDSUFXCFOPPR,
         CDSITUTRIBPR,
         IDERROSITEM,
         IDAVISOSITEM,
         VRBRUTITEM ,
         CDFILIALPED,
         NRPEDIDO   ,
         NRITEMPED   ,
         CDFILIMOVI  ,
         CDALMOXARIFE,
         CDLOCALESTOQ,
         NRLOTEESTQ  ,
         NRSUBLOTE  ,
         CDFILIALVEND,
         CDCAIXA     ,
         NRSEQVENDA   ,
         NRSEQUITVEND


      FROM
         DELETED
      WHERE
         0 = (SELECT COUNT(*) FROM INSERTED)

      UNION ALL

      SELECT
         'U' IDCOMANDO,
         INSERTED.CDFILIAL,
         INSERTED.NRLANCTONF,
         INSERTED.NRSEQITPROD,
         INSERTED.CDPRODUTO,
         INSERTED.CDPRODEMIS,
         INSERTED.QTITEMPROD,
         INSERTED.VRUNITITEM,
         INSERTED.VRTOTAITEM,
         INSERTED.VRCONTITEM,
         INSERTED.CDFISOPEITEM,
         INSERTED.CDSUFXCFOPPR,
         INSERTED.CDSITUTRIBPR,
         INSERTED.IDERROSITEM,
         INSERTED.IDAVISOSITEM,
         INSERTED.VRBRUTITEM ,
         INSERTED.CDFILIALPED,
         INSERTED.NRPEDIDO   ,
         INSERTED.NRITEMPED   ,
         INSERTED.CDFILIMOVI  ,
         INSERTED.CDALMOXARIFE,
         INSERTED.CDLOCALESTOQ,
         INSERTED.NRLOTEESTQ  ,
         INSERTED.NRSUBLOTE  ,
         INSERTED.CDFILIALVEND,
         INSERTED.CDCAIXA     ,
         INSERTED.NRSEQVENDA   ,
         INSERTED.NRSEQUITVEND,
         DELETED.CDFILIAL,
         DELETED.NRLANCTONF,
         DELETED.NRSEQITPROD,
         DELETED.CDPRODUTO,
         DELETED.CDPRODEMIS,
         DELETED.QTITEMPROD,
         DELETED.VRUNITITEM,
         DELETED.VRTOTAITEM,
         DELETED.VRCONTITEM,
         DELETED.CDFISOPEITEM,
         DELETED.CDSUFXCFOPPR,
         DELETED.CDSITUTRIBPR,
         DELETED.IDERROSITEM,
         DELETED.IDAVISOSITEM,
         DELETED.VRBRUTITEM ,
         DELETED.CDFILIALPED,
         DELETED.NRPEDIDO   ,
         DELETED.NRITEMPED   ,
         DELETED.CDFILIMOVI  ,
         DELETED.CDALMOXARIFE,
         DELETED.CDLOCALESTOQ,
         DELETED.NRLOTEESTQ  ,
         DELETED.NRSUBLOTE  ,
         DELETED.CDFILIALVEND,
         DELETED.CDCAIXA     ,
         DELETED.NRSEQVENDA   ,
         DELETED.NRSEQUITVEND
      FROM
         INSERTED,
         DELETED
      WHERE
         INSERTED.CDFILIAL    = DELETED.CDFILIAL    AND
         INSERTED.NRLANCTONF  = DELETED.NRLANCTONF  AND
         INSERTED.NRSEQITPROD = DELETED.NRSEQITPROD

      UNION ALL

      SELECT
         'I' IDCOMANDO,
         INSERTED.CDFILIAL,
         INSERTED.NRLANCTONF,
         INSERTED.NRSEQITPROD,
         INSERTED.CDPRODUTO,
         INSERTED.CDPRODEMIS,
         INSERTED.QTITEMPROD,
         INSERTED.VRUNITITEM,
         INSERTED.VRTOTAITEM,
         INSERTED.VRCONTITEM,
         INSERTED.CDFISOPEITEM,
         INSERTED.CDSUFXCFOPPR,
         INSERTED.CDSITUTRIBPR,
         INSERTED.IDERROSITEM,
         INSERTED.IDAVISOSITEM,
         INSERTED.VRBRUTITEM ,
         INSERTED.CDFILIALPED,
         INSERTED.NRPEDIDO   ,
         INSERTED.NRITEMPED   ,
         INSERTED.CDFILIMOVI  ,
         INSERTED.CDALMOXARIFE,
         INSERTED.CDLOCALESTOQ,
         INSERTED.NRLOTEESTQ  ,
         INSERTED.NRSUBLOTE  ,
         INSERTED.CDFILIALVEND,
         INSERTED.CDCAIXA     ,
         INSERTED.NRSEQVENDA   ,
         INSERTED.NRSEQUITVEND,
         NULL, NULL, NULL, 
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL
      FROM
         INSERTED
      WHERE
         0 = (SELECT COUNT(*) FROM DELETED)

   OPEN C_CURSOR_ITEM;
   FETCH NEXT FROM C_CURSOR_ITEM INTO @V_TIPO, @V_CDFILIAL_NEW, @V_NRLANCTONF_NEW, @V_NRSEQITPROD_NEW,
                                    @V_CDPRODUTO_NEW, @V_CDPRODEMIS_NEW, @V_QTITEMPROD_NEW,@V_VRUNITITEM_NEW,
                                    @V_VRTOTAITEM_NEW, @V_VRCONTITEM_NEW, @V_CDFISOPEITEM_NEW, @V_CDSUFXCFOPPR_NEW,
                                    @V_CDSITUTRIBPR_NEW, @V_IDERROSITEM_NEW, @V_IDAVISOSITEM_NEW, @V_VRBRUTITEM_NEW,
                                    @V_CDFILIALPED_NEW, @V_NRPEDIDO_NEW, @V_NRITEMPED_NEW, @V_CDFILIMOVI_NEW, @V_CDALMOXARIFE_NEW,
                                    @V_CDLOCALESTOQ_NEW, @V_NRLOTEESTQ_NEW, @V_NRSUBLOTE_NEW, @V_CDFILIALVEND_NEW, @V_CDCAIXA_NEW,
                                    @V_NRSEQVENDA_NEW, @V_NRSEQUITVEND_NEW,
                                    @V_CDFILIAL_OLD, @V_NRLANCTONF_OLD, @V_NRSEQITPROD_OLD, @V_CDPRODUTO_OLD,
                                    @V_CDPRODEMIS_OLD, @V_QTITEMPROD_OLD, @V_VRUNITITEM_OLD, @V_VRTOTAITEM_OLD,@V_VRCONTITEM_OLD,
                                    @V_CDFISOPEITEM_OLD, @V_CDSUFXCFOPPR_OLD, @V_CDSITUTRIBPR_OLD, @V_IDERROSITEM_OLD, @V_IDAVISOSITEM_OLD,
                                    @V_VRBRUTITEM_OLD,  @V_CDFILIALPED_OLD, @V_NRPEDIDO_OLD, @V_NRITEMPED_OLD, @V_CDFILIMOVI_OLD, @V_CDALMOXARIFE_OLD,
                                    @V_CDLOCALESTOQ_OLD, @V_NRLOTEESTQ_OLD, @V_NRSUBLOTE_OLD, @V_CDFILIALVEND_OLD, @V_CDCAIXA_OLD, @V_NRSEQVENDA_OLD,
                                    @V_NRSEQUITVEND_OLD;
   WHILE (@@FETCH_STATUS = 0) BEGIN

      IF @V_TIPO = 'D' BEGIN
         IF @V_CDPRODUTO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Prod=' + @V_CDPRODUTO_OLD;
         END;

         IF @V_CDPRODEMIS_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ProdEmis=' + @V_CDPRODEMIS_OLD;
         END;

         IF @V_QTITEMPROD_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' QtItem=' + CONVERT(VARCHAR,ROUND(@V_QTITEMPROD_OLD, 5));
         END;

         IF @V_VRUNITITEM_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UnitItem=' + CONVERT(VARCHAR,ROUND(@V_VRUNITITEM_OLD, 2));
         END;

         IF @V_VRTOTAITEM_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' TotaItem=' + CONVERT(VARCHAR,ROUND(@V_VRTOTAITEM_OLD, 2));
         END;

         IF @V_VRCONTITEM_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ContItem=' + CONVERT(VARCHAR,ROUND(@V_VRCONTITEM_OLD, 2));
         END;

         IF @V_CDFISOPEITEM_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CFOpItem=' + @V_CDFISOPEITEM_OLD;
         END;

         IF @V_CDSUFXCFOPPR_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' SufCFOp=' + @V_CDSUFXCFOPPR_OLD;
         END;

         IF @V_CDSITUTRIBPR_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CSTItem=' + @V_CDSITUTRIBPR_OLD;
         END;

         IF @V_IDERROSITEM_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ErroItem=' + @V_IDERROSITEM_OLD;
         END;

         IF @V_IDAVISOSITEM_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' AvisoItem=' + @V_IDAVISOSITEM_OLD;
         END;

         IF @V_VRBRUTITEM_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' BrutItem=' + CONVERT(VARCHAR,ROUND(@V_VRBRUTITEM_OLD, 2));
         END;

         IF @V_CDFILIALPED_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' FiliPed=' + @V_CDFILIALPED_OLD;
         END;

         IF @V_NRPEDIDO_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Pedido=' + @V_NRPEDIDO_OLD;
         END;

         IF @V_NRITEMPED_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' PedItem=' + @V_NRITEMPED_OLD;
         END;

         IF @V_CDFILIMOVI_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' FiliMovi=' + @V_CDFILIMOVI_OLD;
         END;

         IF @V_CDALMOXARIFE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Almox=' + @V_CDALMOXARIFE_OLD;
         END;

         IF @V_CDLOCALESTOQ_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' LcEstoq=' + @V_CDLOCALESTOQ_OLD;
         END;

         IF @V_NRLOTEESTQ_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Lote=' + @V_NRLOTEESTQ_OLD;
         END;

         IF @V_NRSUBLOTE_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' SubLote=' + @V_NRSUBLOTE_OLD;
         END;

         IF @V_CDFILIALVEND_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' FiliVend=' + @V_CDFILIALVEND_OLD;
         END;

         IF @V_CDCAIXA_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Caixa=' + @V_CDCAIXA_OLD;
         END;

         IF @V_NRSEQVENDA_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' SeqVenda=' + @V_NRSEQVENDA_OLD;
         END;

         IF @V_NRSEQUITVEND_OLD IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' SeqItVenda=' + @V_NRSEQUITVEND_OLD;
         END;

         SET @V_TPMOVI         = '3';
         SET @V_ITPESQ       = @V_CDFILIAL_OLD+@V_NRLANCTONF_OLD+@V_NRSEQITPROD_OLD;
         SET @V_CDFILLOGOPER = @V_CDFILIAL_OLD;
      END
      ELSE BEGIN
         IF @V_TIPO = 'U' BEGIN
            IF (@V_CDPRODUTO_OLD    <> @V_CDPRODUTO_NEW)    OR
               (@V_CDPRODEMIS_OLD   <> @V_CDPRODEMIS_NEW)   OR
               (@V_QTITEMPROD_OLD   <> @V_QTITEMPROD_NEW)   OR
               (@V_VRUNITITEM_OLD   <> @V_VRUNITITEM_NEW)   OR
               (@V_VRTOTAITEM_OLD   <> @V_VRTOTAITEM_NEW)   OR
               (@V_VRCONTITEM_OLD   <> @V_VRCONTITEM_NEW)   OR
               (@V_CDFISOPEITEM_OLD <> @V_CDFISOPEITEM_NEW) OR
               (@V_CDSUFXCFOPPR_OLD <> @V_CDSUFXCFOPPR_NEW) OR
               (@V_CDSITUTRIBPR_OLD <> @V_CDSITUTRIBPR_NEW) OR
               (@V_IDERROSITEM_OLD  <> @V_IDERROSITEM_NEW)  OR
               (@V_IDAVISOSITEM_OLD <> @V_IDAVISOSITEM_NEW) OR
               (@V_VRBRUTITEM_OLD   <> @V_VRBRUTITEM_NEW)   OR
               (@V_CDFILIALPED_OLD  <> @V_CDFILIALPED_NEW)  OR
               (@V_NRPEDIDO_OLD     <> @V_NRPEDIDO_NEW)     OR
               (@V_NRITEMPED_OLD    <> @V_NRITEMPED_NEW)    OR
               (@V_CDFILIMOVI_OLD   <> @V_CDFILIMOVI_NEW)   OR
               (@V_CDALMOXARIFE_OLD <> @V_CDALMOXARIFE_NEW) OR
               (@V_CDLOCALESTOQ_OLD <> @V_CDLOCALESTOQ_NEW) OR
               (@V_NRLOTEESTQ_OLD   <> @V_NRLOTEESTQ_NEW)   OR
               (@V_NRSUBLOTE_OLD    <> @V_NRSUBLOTE_NEW)    OR
               (@V_CDFILIALVEND_OLD <> @V_CDFILIALVEND_NEW) OR
               (@V_CDCAIXA_OLD      <> @V_CDCAIXA_NEW)      OR
               (@V_NRSEQVENDA_OLD   <> @V_NRSEQVENDA_NEW)   OR
               (@V_NRSEQUITVEND_OLD <> @V_NRSEQUITVEND_NEW) BEGIN

               SET @V_TPMOVI         = '2';
               SET @V_ITPESQ       = @V_CDFILIAL_OLD+@V_NRLANCTONF_OLD+@V_NRSEQITPROD_OLD;
               SET @V_CDFILLOGOPER = @V_CDFILIAL_OLD;
            END;
         END
         ELSE BEGIN
            SET @V_TPMOVI         = '1';
            SET @V_ITPESQ       = @V_CDFILIAL_NEW+@V_NRLANCTONF_NEW+@V_NRSEQITPROD_NEW;
            SET @V_CDFILLOGOPER = @V_CDFILIAL_NEW;
         END;

         IF @V_CDPRODUTO_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + 'Prod=' + @V_CDPRODUTO_NEW;
         END;

         IF @V_CDPRODEMIS_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ProdEmis=' + @V_CDPRODEMIS_NEW;
         END;

         IF @V_QTITEMPROD_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' QtItem=' + CONVERT(VARCHAR,ROUND(@V_QTITEMPROD_NEW, 5));
         END;

         IF @V_VRUNITITEM_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' UnitItem=' + CONVERT(VARCHAR,ROUND(@V_VRUNITITEM_NEW, 2));
         END;

         IF @V_VRTOTAITEM_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' TotaItem=' + CONVERT(VARCHAR,ROUND(@V_VRTOTAITEM_NEW, 2));
         END;

         IF @V_VRCONTITEM_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ContItem=' + CONVERT(VARCHAR,ROUND(@V_VRCONTITEM_NEW, 2));
         END;

         IF @V_CDFISOPEITEM_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CFOpItem=' + @V_CDFISOPEITEM_NEW;
         END;

         IF @V_CDSUFXCFOPPR_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' SufCFOp=' + @V_CDSUFXCFOPPR_NEW;
         END;

         IF @V_CDSITUTRIBPR_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' CSTItem=' + @V_CDSITUTRIBPR_NEW;
         END;

         IF @V_IDERROSITEM_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' ErroItem=' + @V_IDERROSITEM_NEW;
         END;

         IF @V_IDAVISOSITEM_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' AvisoItem=' + @V_IDAVISOSITEM_NEW;
         END;

         IF @V_VRBRUTITEM_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' BrutItem=' + CONVERT(VARCHAR,ROUND(@V_VRBRUTITEM_NEW, 2));
         END;

         IF @V_CDFILIALPED_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' FiliPed=' + @V_CDFILIALPED_NEW;
         END;

         IF @V_NRPEDIDO_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Pedido=' + @V_NRPEDIDO_NEW;
         END;

         IF @V_NRITEMPED_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' PedItem=' + @V_NRITEMPED_NEW;
         END;

         IF @V_CDFILIMOVI_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' FiliMovi=' + @V_CDFILIMOVI_NEW;
         END;

         IF @V_CDALMOXARIFE_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Almox=' + @V_CDALMOXARIFE_NEW;
         END;

         IF @V_CDLOCALESTOQ_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' LcEstoq=' + @V_CDLOCALESTOQ_NEW;
         END;

         IF @V_NRLOTEESTQ_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Lote=' + @V_NRLOTEESTQ_NEW;
         END;

         IF @V_NRSUBLOTE_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' SubLote=' + @V_NRSUBLOTE_NEW;
         END;

         IF @V_CDFILIALVEND_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' FiliVend=' + @V_CDFILIALVEND_NEW;
         END;

         IF @V_CDCAIXA_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' Caixa=' + @V_CDCAIXA_NEW;
         END;

         IF @V_NRSEQVENDA_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' SeqVenda=' + @V_NRSEQVENDA_NEW;
         END;

         IF @V_NRSEQUITVEND_NEW IS NOT NULL BEGIN
            SET @V_DESC = @V_DESC + ' SeqItVenda=' + @V_NRSEQUITVEND_NEW;
         END;
      END;

      IF @V_TPMOVI <> '0' BEGIN
         EXEC NMUSUARIO @V_USUARIO;
         IF NOT @V_DESC IS NULL BEGIN
            IF NOT @V_USUARIO IS NULL BEGIN
               SET @V_DTOPER = GETDATE();

               INSERT INTO LOGOPERA
                  (NMTABELA,   DTOPERACAO, NMRESPOPER,
                   IDTIPOOPER, CDPESQITEM, DSOPERACAO, CDFILLOGOPER)
               VALUES
                  ('ITEMPRODUTO',  @V_DTOPER, @V_USUARIO,
                   @V_TPMOVI,      @V_ITPESQ, @V_DESC, @V_CDFILLOGOPER);
            END;
         END;
      END;

      FETCH NEXT FROM C_CURSOR_ITEM INTO @V_TIPO, @V_CDFILIAL_NEW, @V_NRLANCTONF_NEW, @V_NRSEQITPROD_NEW,
                                       @V_CDPRODUTO_NEW, @V_CDPRODEMIS_NEW, @V_QTITEMPROD_NEW,@V_VRUNITITEM_NEW,
                                       @V_VRTOTAITEM_NEW, @V_VRCONTITEM_NEW, @V_CDFISOPEITEM_NEW, @V_CDSUFXCFOPPR_NEW,
                                       @V_CDSITUTRIBPR_NEW, @V_IDERROSITEM_NEW, @V_IDAVISOSITEM_NEW, @V_VRBRUTITEM_NEW,
                                       @V_CDFILIALPED_NEW, @V_NRPEDIDO_NEW, @V_NRITEMPED_NEW, @V_CDFILIMOVI_NEW, @V_CDALMOXARIFE_NEW,
                                       @V_CDLOCALESTOQ_NEW, @V_NRLOTEESTQ_NEW, @V_NRSUBLOTE_NEW, @V_CDFILIALVEND_NEW, @V_CDCAIXA_NEW,
                                       @V_NRSEQVENDA_NEW, @V_NRSEQUITVEND_NEW,
                                       @V_CDFILIAL_OLD, @V_NRLANCTONF_OLD, @V_NRSEQITPROD_OLD, @V_CDPRODUTO_OLD,
                                       @V_CDPRODEMIS_OLD, @V_QTITEMPROD_OLD, @V_VRUNITITEM_OLD, @V_VRTOTAITEM_OLD,@V_VRCONTITEM_OLD,
                                       @V_CDFISOPEITEM_OLD, @V_CDSUFXCFOPPR_OLD, @V_CDSITUTRIBPR_OLD, @V_IDERROSITEM_OLD, @V_IDAVISOSITEM_OLD,
                                       @V_VRBRUTITEM_OLD,  @V_CDFILIALPED_OLD, @V_NRPEDIDO_OLD, @V_NRITEMPED_OLD, @V_CDFILIMOVI_OLD, @V_CDALMOXARIFE_OLD,
                                       @V_CDLOCALESTOQ_OLD, @V_NRLOTEESTQ_OLD, @V_NRSUBLOTE_OLD, @V_CDFILIALVEND_OLD, @V_CDCAIXA_OLD, @V_NRSEQVENDA_OLD,
                                       @V_NRSEQUITVEND_OLD;
   END;
   CLOSE C_CURSOR_ITEM;
   DEALLOCATE C_CURSOR_ITEM;
END;
GO


-- VERSAO --
EXEC ATUVEROBJ 'LOG_FIS_ITEMPRODUTO','4.11.105';
GO

